#include <stdio.h>
#include <stdlib.h>
#include <math.h>

void sort(int a[], int n)
{
    for(int i=0;i<n;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(a[i]>a[j])
                zameni(&a[i],&a[j]);
        }
    }
}

void zameni(int *a, int *b)
{
    int p;
    p=(*a);
    (*a)=(*b);
    (*b)=p;
}

void citaj(int a[], int n)
{
    for(int i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
    }
}

int main()
{
    int n,q,n1;
    scanf("%d",&n);
    scanf("%d",&q);
    int a[n];
    int b[q];
    citaj(a,n);
    citaj(b,q);
    sort(a,n);
    int br;
    for(int i=0;i<q;i++)
    {
    if(a[n/2]==b[i])
         printf("%d\n",0);
    else
    {
        br=0;
        n1=n;
        while(a[n1/2]<b[i])
        {
            n1++;
            br++;
        }
        printf("%d\n",br);
    }
    }
    return 0;
}